## xdoclet.modules.jdo
Class JdoDocletTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xjavadoc.ant.XJavadocTask
                  xdoclet.DocletTask
                      xdoclet.modules.jdo.JdoDocletTask

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

public class JdoDocletTask
extends DocletTask

This task that executes various JDO-specific sub-tasks.

Version:
  $Revision: 1.5 $
Author:
  Ludovic Claude (ludovicc@users.sourceforge.net), Marco Schulze (nlmarco@users.sourceforge.net) - added JDO 2.0 support (mainly changes in *.xdt)
ant.element
  name="jdodoclet" display-name="JDO Task"
created
  June 11, 20012

Nested Class Summary
`static class` `JdoDocletTask.JdoSpecVersion`

Field Summary

Fields inherited from class xdoclet.DocletTask
`XDOCLET_VERSION`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JdoDocletTask()`

Method Summary
`String` `getJdoSpec()` Gets the JdoSpec attribute of the JdoDocletTask object
`void` `setJdoSpec(JdoDocletTask.JdoSpecVersion jdoSpec)` Sets the jdo spec to use.
`protected void` `validateOptions()` Called by superclass before start() is called

Methods inherited from class xdoclet.DocletTask

`addConfigParam, addFileset, addPackageSubstitution, addSubTask, addTemplate, addXmlTemplate, checkClass, createDynamicElement, getAddedTags, getConfigParams, getConfigParams, getConfigParamsAsMap, getDestDir, getExcludedTags, getMergeDir, getPackageSubstitutions, getSubTaskName, getSubTasks, isForce, isVerbose, setAddedTags, setDestDir, setDynamicAttribute, setExcludedTags, setExcludePackageNames, setForce, setMergeDir, setPackageNames, setPackageSubstitutions, setVerbose, start, validateSubTasks`

Methods inherited from class xjavadoc.ant.XJavadocTask
`createIgnoredtag, execute, getClasspath, getXJavaDoc, setDocencoding, setEncoding, setIgnoredtags, setValidating`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdoDocletTask

    public JdoDocletTask()

Method Detail

### getJdoSpec

    public String getJdoSpec()

  Gets the JdoSpec attribute of the JdoDocletTask object

  Returns:
    The JdoSpec value

### setJdoSpec

    public void setJdoSpec(JdoDocletTask.JdoSpecVersion jdoSpec)

  Sets the jdo spec to use. Valid values are "1.0" and "2.0". Default is "1.0"

  Parameters:
    `jdoSpec` -

### validateOptions

    protected void validateOptions()
                            throws org.apache.tools.ant.BuildException

  Description copied from class: `DocletTask`
  Called by superclass before start() is called

  Overrides:
    `validateOptions` in class `DocletTask`
  Throws:
    `org.apache.tools.ant.BuildException` - Describe the exception

http://xdoclet.sourceforge.net/